Bug 1265936 - Crash when initializing SSL plugin
Crash when initializing SSL plugin
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 03:54 EDT by Alexander Bokovoy
Modified: 2016-12-20 09:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:43:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Bokovoy 2015-09-24 03:54:52 EDT
Description of problem:
Both wireshark and tshark crash when trying to initialize when I have ssl certificate to decrypt.

(gdb) run -o "ssl.desegment_ssl_records: TRUE" -o "ssl.desegment_ssl_application_data: TRUE" -o "ssl.keys_list: XX.XX.XX.XX,443,http,ipsilon-wiki.wireshark.key" -o "ssl.debug_file:wireshark-log" -r m.tcp -Y "tcp.port == 443"
Starting program: /usr/sbin/tshark -o "ssl.desegment_ssl_records: TRUE" -o "ssl.desegment_ssl_application_data: TRUE" -o "ssl.keys_list: XX.XX.XX.XX,http,ipsilon-wiki.key" -o "ssl.debug_file:wireshark-log" -r m.tcp -Y "tcp.port == 443"
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
*** Error in `/usr/sbin/tshark': free(): invalid pointer: 0x00007fffe3d2a0e8 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x77e15)[0x7ffff20ade15]
/lib64/libc.so.6(+0x8041a)[0x7ffff20b641a]
/lib64/libc.so.6(cfree+0x4c)[0x7ffff20b9bcc]
/lib64/libglib-2.0.so.0(g_free+0xe)[0x7ffff2dbe6be]
/lib64/libwireshark.so.5(+0x1c57b7d)[0x7ffff4f1eb7d]
/lib64/libwireshark.so.5(+0x15234e2)[0x7ffff47ea4e2]
/lib64/libwireshark.so.5(+0x21bba1b)[0x7ffff5482a1b]
/lib64/libwireshark.so.5(+0x21bba6f)[0x7ffff5482a6f]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba08)[0x7ffff5482a08]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba08)[0x7ffff5482a08]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/lib64/libwireshark.so.5(+0x21bba33)[0x7ffff5482a33]
/usr/sbin/tshark(+0xcb7e)[0x555555560b7e]
/lib64/libc.so.6(__libc_start_main+0xf0)[0x7ffff2056580]
/usr/sbin/tshark(_start+0x29)[0x555555562599]
======= Memory map: ========
555555554000-555555591000 r-xp 00000000 fd:01 3023799                    /usr/sbin/tshark
555555790000-555555792000 r--p 0003c000 fd:01 3023799                    /usr/sbin/tshark
555555792000-555555793000 rw-p 0003e000 fd:01 3023799                    /usr/sbin/tshark
555555793000-555556264000 rw-p 00000000 00:00 0                          [heap]
7fffdc000000-7fffdc021000 rw-p 00000000 00:00 0 
7fffdc021000-7fffe0000000 ---p 00000000 00:00 0 
7fffe3b12000-7fffe3b28000 r-xp 00000000 fd:01 3025824                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fffe3b28000-7fffe3d27000 ---p 00016000 fd:01 3025824                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fffe3d27000-7fffe3d28000 r--p 00015000 fd:01 3025824                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fffe3d28000-7fffe3d29000 rw-p 00016000 fd:01 3025824                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
7fffe3d29000-7fffe3d2a000 ---p 00000000 00:00 0 
7fffe3d2a000-7fffe4728000 rw-p 00000000 00:00 0 
7fffe4728000-7fffe472a000 ---p 00000000 00:00 0 
7fffe472a000-7fffe5128000 rw-p 00000000 00:00 0 
7fffe5128000-7fffe5129000 ---p 00000000 00:00 0 
7fffe5129000-7fffeba7c000 r--p 00000000 fd:01 3016089                    /usr/lib/locale/locale-archive
7fffeba7c000-7fffebf7f000 rw-p 00000000 00:00 0 
7fffec181000-7fffec2a5000 rw-p 00000000 00:00 0 
7fffec2a5000-7fffec2bf000 r-xp 00000000 fd:01 3032482                    /usr/lib64/wireshark/plugins/unistim.so
7fffec2bf000-7fffec4bf000 ---p 0001a000 fd:01 3032482                    /usr/lib64/wireshark/plugins/unistim.so
7fffec4bf000-7fffec4c3000 r--p 0001a000 fd:01 3032482                    /usr/lib64/wireshark/plugins/unistim.so
7fffec4c3000-7fffec4ca000 rw-p 0001e000 fd:01 3032482                    /usr/lib64/wireshark/plugins/unistim.so
7fffec4ca000-7fffec4d9000 r-xp 00000000 fd:01 3032606                    /usr/lib64/wireshark/plugins/wimaxmacphy.so
7fffec4d9000-7fffec6d9000 ---p 0000f000 fd:01 3032606                    /usr/lib64/wireshark/plugins/wimaxmacphy.so
7fffec6d9000-7fffec6db000 r--p 0000f000 fd:01 3032606                    /usr/lib64/wireshark/plugins/wimaxmacphy.so
7fffec6db000-7fffec6e0000 rw-p 00011000 fd:01 3032606                    /usr/lib64/wireshark/plugins/wimaxmacphy.so
7fffec6e0000-7fffec6f1000 r-xp 00000000 fd:01 3031944                    /usr/lib64/wireshark/plugins/gryphon.so
7fffec6f1000-7fffec8f1000 ---p 00011000 fd:01 3031944                    /usr/lib64/wireshark/plugins/gryphon.so
7fffec8f1000-7fffec8f3000 r--p 00011000 fd:01 3031944                    /usr/lib64/wireshark/plugins/gryphon.so
7fffec8f3000-7fffec8f7000 rw-p 00013000 fd:01 3031944                    /usr/lib64/wireshark/plugins/gryphon.so
7fffec8f7000-7fffec950000 r-xp 00000000 fd:01 3032245                    /usr/lib64/wireshark/plugins/profinet.so
7fffec950000-7fffecb50000 ---p 00059000 fd:01 3032245                    /usr/lib64/wireshark/plugins/profinet.so
7fffecb50000-7fffecb57000 r--p 00059000 fd:01 3032245                    /usr/lib64/wireshark/plugins/profinet.so
7fffecb57000-7fffecb69000 rw-p 00060000 fd:01 3032245                    /usr/lib64/wireshark/plugins/profinet.so
7fffecb69000-7fffecb79000 r-xp 00000000 fd:01 3032603                    /usr/lib64/wireshark/plugins/wimaxasncp.so
7fffecb79000-7fffecd79000 ---p 00010000 fd:01 3032603                    /usr/lib64/wireshark/plugins/wimaxasncp.so
7fffecd79000-7fffecd7b000 r--p 00010000 fd:01 3032603                    /usr/lib64/wireshark/plugins/wimaxasncp.so
7fffecd7b000-7fffecd7c000 rw-p 00012000 fd:01 3032603                    /usr/lib64/wireshark/plugins/wimaxasncp.so
7fffecd7c000-7fffecd80000 r-xp 00000000 fd:01 3032058                    /usr/lib64/wireshark/plugins/m2m.so
7fffecd80000-7fffecf7f000 ---p 00004000 fd:01 3032058                    /usr/lib64/wireshark/plugins/m2m.so
7fffecf7f000-7fffecf80000 r--p 00003000 fd:01 3032058                    /usr/lib64/wireshark/plugins/m2m.so
7fffecf80000-7fffecf81000 rw-p 00004000 fd:01 3032058                    /usr/lib64/wireshark/plugins/m2m.so
7fffecf81000-7fffecf98000 r-xp 00000000 fd:01 3032072                    /usr/lib64/wireshark/plugins/mate.so
7fffecf98000-7fffed198000 ---p 00017000 fd:01 3032072                    /usr/lib64/wireshark/plugins/mate.so
7fffed198000-7fffed199000 r--p 00017000 fd:01 3032072                    /usr/lib64/wireshark/plugins/mate.so
7fffed199000-7fffed19a000 rw-p 00018000 fd:01 3032072                    /usr/lib64/wireshark/plugins/mate.so
7fffed19a000-7fffed1ac000 rw-p 00000000 00:00 0 
7fffed1ac000-7fffed1db000 r-xp 00000000 fd:01 3032090                    /usr/lib64/wireshark/plugins/opcua.so
7fffed1db000-7fffed3db000 ---p 0002f000 fd:01 3032090                    /usr/lib64/wireshark/plugins/opcua.so
7fffed3db000-7fffed3de000 r--p 0002f000 fd:01 3032090                    /usr/lib64/wireshark/plugins/opcua.so
7fffed3de000-7fffed3e9000 rw-p 00032000 fd:01 3032090                    /usr/lib64/wireshark/plugins/opcua.so
7fffed3e9000-7fffed41a000 r-xp 00000000 fd:01 3031942                    /usr/lib64/wireshark/plugins/docsis.so
7fffed41a000-7fffed61a000 ---p 00031000 fd:01 3031942                    /usr/lib64/wireshark/plugins/docsis.so
7fffed61a000-7fffed61c000 r--p 00031000 fd:01 3031942                    /usr/lib64/wireshark/plugins/docsis.so
7fffed61c000-7fffed62a000 rw-p 00033000 fd:01 3031942                    /usr/lib64/wireshark/plugins/docsis.so
7fffed62a000-7fffed6a4000 r-xp 00000000 fd:01 3032597                    /usr/lib64/wireshark/plugins/wimax.so
7fffed6a4000-7fffed8a4000 ---p 0007a000 fd:01 3032597                    /usr/lib64/wireshark/plugins/wimax.so
7fffed8a4000-7fffed8a9000 r--p 0007a000 fd:01 3032597                    /usr/lib64/wireshark/plugins/wimax.so
7fffed8a9000-7fffed8cb000 rw-p 0007f000 fd:01 3032597                    /usr/lib64/wireshark/plugins/wimax.so
7fffed8cb000-7fffed8e3000 r-xp 00000000 fd:01 3031943                    /usr/lib64/wireshark/plugins/ethercat.so
7fffed8e3000-7fffedae3000 ---p 00018000 fd:01 3031943                    /usr/lib64/wireshark/plugins/ethercat.so
7fffedae3000-7fffedae5000 r--p 00018000 fd:01 3031943                    /usr/lib64/wireshark/plugins/ethercat.so
7fffedae5000-7fffedaee000 rw-p 0001a000 fd:01 3031943                    /usr/lib64/wireshark/plugins/ethercat.so
7fffedaee000-7fffedaf8000 r-xp 00000000 fd:01 3032056                    /usr/lib64/wireshark/plugins/irda.so
7fffedaf8000-7fffedcf8000 ---p 0000a000 fd:01 3032056                    /usr/lib64/wireshark/plugins/irda.so
7fffedcf8000-7fffedcf9000 r--p 0000a000 fd:01 3032056                    /usr/lib64/wireshark/plugins/irda.so
7fffedcf9000-7fffedcfb000 rw-p 0000b000 fd:01 3032056                    /usr/lib64/wireshark/plugins/irda.so
7fffedcfb000-7fffedcfc000 rw-p 00000000 00:00 0 
7fffedcfc000-7fffedcfe000 r-xp 00000000 fd:01 3032472                    /usr/lib64/wireshark/plugins/stats_tree.so
7fffedcfe000-7fffedefe000 ---p 00002000 fd:01 3032472                    /usr/lib64/wireshark/plugins/stats_tree.so
7fffedefe000-7fffedeff000 r--p 00002000 fd:01 3032472                    /usr/lib64/wireshark/plugins/stats_tree.so
7fffedeff000-7fffedf00000 rw-p 00003000 fd:01 3032472                    /usr/lib64/wireshark/plugins/stats_tree.so
7fffedf00000-7fffedf6e000 r-xp 00000000 fd:01 3038659                    /usr/lib64/libpcre.so.1.2.5
7fffedf6e000-7fffee16e000 ---p 0006e000 fd:01 3038659                    /usr/lib64/libpcre.so.1.2.5
7fffee16e000-7fffee16f000 r--p 0006e000 fd:01 3038659                    /usr/lib64/libpcre.so.1.2.5
7fffee16f000-7fffee170000 rw-p 0006f000 fd:01 3038659                    /usr/lib64/libpcre.so.1.2.5
7fffee170000-7fffee18f000 r-xp 00000000 fd:01 3021481                    /usr/lib64/libselinux.so.1
7fffee18f000-7fffee38f000 ---p 0001f000 fd:01 3021481                    /usr/lib64/libselinux.so.1
7fffee38f000-7fffee390000 r--p 0001f000 fd:01 3021481                    /usr/lib64/libselinux.so.1
7fffee390000-7fffee391000 rw-p 00020000 fd:01 3021481                    /usr/lib64/libselinux.so.1
7fffee391000-7fffee393000 rw-p 00000000 00:00 0 
7fffee393000-7fffee39a000 r-xp 00000000 fd:01 3021558                    /usr/lib64/libffi.so.6.0.2
7fffee39a000-7fffee599000 ---p 00007000 fd:01 3021558                    /usr/lib64/libffi.so.6.0.2
7fffee599000-7fffee59a000 r--p 00006000 fd:01 3021558                    /usr/lib64/libffi.so.6.0.2
7fffee59a000-7fffee59b000 rw-p 00007000 fd:01 3021558                    /usr/lib64/libffi.so.6.0.2
7fffee59b000-7fffee5b2000 r-xp 00000000 fd:01 3019215                    /usr/lib64/libresolv-2.22.so
7fffee5b2000-7fffee7b2000 ---p 00017000 fd:01 3019215                    /usr/lib64/libresolv-2.22.so
7fffee7b2000-7fffee7b3000 r--p 00017000 fd:01 3019215                    /usr/lib64/libresolv-2.22.so
7fffee7b3000-7fffee7b4000 rw-p 00018000 fd:01 3019215                    /usr/lib64/libresolv-2.22.so
7fffee7b4000-7fffee7b6000 rw-p 00000000 00:00 0 
7fffee7b6000-7fffee7b9000 r-xp 00000000 fd:01 3021785                    /usr/lib64/libkeyutils.so.1.5
7fffee7b9000-7fffee9b8000 ---p 00003000 fd:01 3021785                    /usr/lib64/libkeyutils.so.1.5
7fffee9b8000-7fffee9b9000 r--p 00002000 fd:01 3021785                    /usr/lib64/libkeyutils.so.1.5
7fffee9b9000-7fffee9ba000 rw-p 00000000 00:00 0 
7fffee9ba000-7fffee9c7000 r-xp 00000000 fd:01 3026507                    /usr/lib64/libkrb5support.so.0.1
7fffee9c7000-7fffeebc7000 ---p 0000d000 fd:01 3026507                    /usr/lib64/libkrb5support.so.0.1
7fffeebc7000-7fffeebc8000 r--p 0000d000 fd:01 3026507                    /usr/lib64/libkrb5support.so.0.1
7fffeebc8000-7fffeebc9000 rw-p 0000e000 fd:01 3026507                    /usr/lib64/libkrb5support.so.0.1
7fffeebc9000-7fffeec40000 r-xp 00000000 fd:01 3021497                    /usr/lib64/libgmp.so.10.2.0
7fffeec40000-7fffeee3f000 ---p 00077000 fd:01 3021497                    /usr/lib64/libgmp.so.10.2.0
7fffeee3f000-7fffeee40000 r--p 00076000 fd:01 3021497                    /usr/lib64/libgmp.so.10.2.0
7fffeee40000-7fffeee41000 rw-p 00077000 fd:01 3021497                    /usr/lib64/libgmp.so.10.2.0
7fffeee41000-7fffeee6b000 r-xp 00000000 fd:01 3026384                    /usr/lib64/libhogweed.so.4.1
7fffeee6b000-7fffef06b000 ---p 0002a000 fd:01 3026384                    /usr/lib64/libhogweed.so.4.1
7fffef06b000-7fffef06c000 r--p 0002a000 fd:01 3026384                    /usr/lib64/libhogweed.so.4.1
7fffef06c000-7fffef06d000 rw-p 00000000 00:00 0 
7fffef06d000-7fffef0a2000 r-xp 00000000 fd:01 3026386                    /usr/lib64/libnettle.so.6.1
7fffef0a2000-7fffef2a1000 ---p 00035000 fd:01 3026386                    /usr/lib64/libnettle.so.6.1
7fffef2a1000-7fffef2a3000 r--p 00034000 fd:01 3026386                    /usr/lib64/libnettle.so.6.1
7fffef2a3000-7fffef2a4000 rw-p 00000000 00:00 0 
7fffef2a4000-7fffef2b5000 r-xp 00000000 fd:01 3017252                    /usr/lib64/libtasn1.so.6.4.2
7fffef2b5000-7fffef4b5000 ---p 00011000 fd:01 3017252                    /usr/lib64/libtasn1.so.6.4.2
7fffef4b5000-7fffef4b6000 r--p 00011000 fd:01 3017252                    /usr/lib64/libtasn1.so.6.4.2
7fffef4b6000-7fffef4b7000 rw-p 00012000 fd:01 3017252                    /usr/lib64/libtasn1.so.6.4.2
7fffef4b7000-7fffef4e9000 r-xp 00000000 fd:01 3030446                    /usr/lib64/libidn.so.11.6.15
7fffef4e9000-7fffef6e9000 ---p 00032000 fd:01 3030446                    /usr/lib64/libidn.so.11.6.15
7fffef6e9000-7fffef6ea000 r--p 00032000 fd:01 3030446                    /usr/lib64/libidn.so.11.6.15
7fffef6ea000-7fffef6eb000 rw-p 00033000 fd:01 3030446                    /usr/lib64/libidn.so.11.6.15
7fffef6eb000-7fffef745000 r-xp 00000000 fd:01 3021639                    /usr/lib64/libp11-kit.so.0.1.0
7fffef745000-7fffef945000 ---p 0005a000 fd:01 3021639                    /usr/lib64/libp11-kit.so.0.1.0
7fffef945000-7fffef94f000 r--p 0005a000 fd:01 3021639                    /usr/lib64/libp11-kit.so.0.1.0
7fffef94f000-7fffef951000 rw-p 00064000 fd:01 3021639                    /usr/lib64/libp11-kit.so.0.1.0
7fffef951000-7fffef980000 r-xp 00000000 fd:01 3022849                    /usr/lib64/libGeoIP.so.1.6.6
7fffef980000-7fffefb80000 ---p 0002f000 fd:01 3022849                    /usr/lib64/libGeoIP.so.1.6.6
7fffefb80000-7fffefb81000 r--p 0002f000 fd:01 3022849                    /usr/lib64/libGeoIP.so.1.6.6
7fffefb81000-7fffefb83000 rw-p 00030000 fd:01 3022849                    /usr/lib64/libGeoIP.so.1.6.6
7fffefb83000-7fffefbf9000 r-xp 00000000 fd:01 3026927                    /usr/lib64/libsmi.so.2.0.27
7fffefbf9000-7fffefdf8000 ---p 00076000 fd:01 3026927                    /usr/lib64/libsmi.so.2.0.27
7fffefdf8000-7fffefdfa000 r--p 00075000 fd:01 3026927                    /usr/lib64/libsmi.so.2.0.27
7fffefdfa000-7fffefdfd000 rw-p 00077000 fd:01 3026927                    /usr/lib64/libsmi.so.2.0.27
7fffefdfd000-7ffff001e000 r-xp 00000000 fd:01 3030213                    /usr/lib64/libcrypto.so.1.0.2d
7ffff001e000-7ffff021e000 ---p 00221000 fd:01 3030213                    /usr/lib64/libcrypto.so.1.0.2d
7ffff021e000-7ffff0239000 r--p 00221000 fd:01 3030213                    /usr/lib64/libcrypto.so.1.0.2d
7ffff0239000-7ffff0246000 rw-p 0023c000 fd:01 3030213                    /usr/lib64/libcrypto.so.1.0.2d
7ffff0246000-7ffff024a000 rw-p 00000000 00:00 0 
7ffff024a000-7ffff024d000 r-xp 00000000 fd:01 3021659                    /usr/lib64/libcom_err.so.2.1
7ffff024d000-7ffff044c000 ---p 00003000 fd:01 3021659                    /usr/lib64/libcom_err.so.2.1
7ffff044c000-7ffff044d000 r--p 00002000 fd:01 3021659                    /usr/lib64/libcom_err.so.2.1
7ffff044d000-7ffff044e000 rw-p 00003000 fd:01 3021659                    /usr/lib64/libcom_err.so.2.1
7ffff044e000-7ffff047d000 r-xp 00000000 fd:01 3026503                    /usr/lib64/libk5crypto.so.3.1
7ffff047d000-7ffff067d000 ---p 0002f000 fd:01 3026503                    /usr/lib64/libk5crypto.so.3.1
7ffff067d000-7ffff067f000 r--p 0002f000 fd:01 3026503                    /usr/lib64/libk5crypto.so.3.1
7ffff067f000-7ffff0680000 rw-p 00031000 fd:01 3026503                    /usr/lib64/libk5crypto.so.3.1
7ffff0680000-7ffff0755000 r-xp 00000000 fd:01 3023032                    /usr/lib64/libkrb5.so.3.3
7ffff0755000-7ffff0954000 ---p 000d5000 fd:01 3023032                    /usr/lib64/libkrb5.so.3.3
7ffff0954000-7ffff0963000 r--p 000d4000 fd:01 3023032                    /usr/lib64/libkrb5.so.3.3
7ffff0963000-7ffff0965000 rw-p 000e3000 fd:01 3023032                    /usr/lib64/libkrb5.so.3.3
7ffff0965000-7ffff0a87000 r-xp 00000000 fd:01 3026405                    /usr/lib64/libgnutls.so.30.3.1
7ffff0a87000-7ffff0c87000 ---p 00122000 fd:01 3026405                    /usr/lib64/libgnutls.so.30.3.1
7ffff0c87000-7ffff0c94000 r--p 00122000 fd:01 3026405                    /usr/lib64/libgnutls.so.30.3.1
7ffff0c94000-7ffff0c95000 rw-p 0012f000 fd:01 3026405                    /usr/lib64/libgnutls.so.30.3.1
7ffff0c95000-7ffff0c96000 rw-p 00000000 00:00 0 
7ffff0c96000-7ffff0ca6000 r-xp 00000000 fd:01 3022402                    /usr/lib64/libcares.so.2.1.0
7ffff0ca6000-7ffff0ea6000 ---p 00010000 fd:01 3022402                    /usr/lib64/libcares.so.2.1.0
7ffff0ea6000-7ffff0ea7000 r--p 00010000 fd:01 3022402                    /usr/lib64/libcares.so.2.1.0
7ffff0ea7000-7ffff0ea8000 rw-p 00011000 fd:01 3022402                    /usr/lib64/libcares.so.2.1.0
7ffff0ea8000-7ffff0ec6000 r-xp 00000000 fd:01 3020546                    /usr/lib64/libnl-3.so.200.21.0
7ffff0ec6000-7ffff10c6000 ---p 0001e000 fd:01 3020546                    /usr/lib64/libnl-3.so.200.21.0
7ffff10c6000-7ffff10c8000 r--p 0001e000 fd:01 3020546                    /usr/lib64/libnl-3.so.200.21.0
7ffff10c8000-7ffff10c9000 rw-p 00020000 fd:01 3020546                    /usr/lib64/libnl-3.so.200.21.0
7ffff10c9000-7ffff10ce000 r-xp 00000000 fd:01 3040399                    /usr/lib64/libnl-genl-3.so.200.21.0
7ffff10ce000-7ffff12ce000 ---p 00005000 fd:01 3040399                    /usr/lib64/libnl-genl-3.so.200.21.0
7ffff12ce000-7ffff12cf000 r--p 00005000 fd:01 3040399                    /usr/lib64/libnl-genl-3.so.200.21.0
7ffff12cf000-7ffff12d0000 rw-p 00006000 fd:01 3040399                    /usr/lib64/libnl-genl-3.so.200.21.0
7ffff12d0000-7ffff132c000 r-xp 00000000 fd:01 3040421                    /usr/lib64/libnl-route-3.so.200.21.0
7ffff132c000-7ffff152b000 ---p 0005c000 fd:01 3040421                    /usr/lib64/libnl-route-3.so.200.21.0
7ffff152b000-7ffff152e000 r--p 0005b000 fd:01 3040421                    /usr/lib64/libnl-route-3.so.200.21.0
7ffff152e000-7ffff1532000 rw-p 0005e000 fd:01 3040421                    /usr/lib64/libnl-route-3.so.200.21.0
7ffff1532000-7ffff1534000 rw-p 00000000 00:00 0 
7ffff1534000-7ffff1537000 r-xp 00000000 fd:01 3041118                    /usr/lib64/libgmodule-2.0.so.0.4508.0
7ffff1537000-7ffff1736000 ---p 00003000 fd:01 3041118                    /usr/lib64/libgmodule-2.0.so.0.4508.0
7ffff1736000-7ffff1737000 r--p 00002000 fd:01 3041118                    /usr/lib64/libgmodule-2.0.so.0.4508.0
7ffff1737000-7ffff1738000 rw-p 00003000 fd:01 3041118                    /usr/lib64/libgmodule-2.0.so.0.4508.0
7ffff1738000-7ffff1739000 r-xp 00000000 fd:01 3041120                    /usr/lib64/libgthread-2.0.so.0.4508.0
7ffff1739000-7ffff1938000 ---p 00001000 fd:01 3041120                    /usr/lib64/libgthread-2.0.so.0.4508.0
7ffff1938000-7ffff1939000 r--p 00000000 fd:01 3041120                    /usr/lib64/libgthread-2.0.so.0.4508.0
7ffff1939000-7ffff193a000 rw-p 00000000 00:00 0 
7ffff193a000-7ffff194c000 r-xp 00000000 fd:01 3040039                    /usr/lib64/libgpg-error.so.0.16.0
7ffff194c000-7ffff1b4b000 ---p 00012000 fd:01 3040039                    /usr/lib64/libgpg-error.so.0.16.0
7ffff1b4b000-7ffff1b4c000 r--p 00011000 fd:01 3040039                    /usr/lib64/libgpg-error.so.0.16.0
7ffff1b4c000-7ffff1b4d000 rw-p 00012000 fd:01 3040039                    /usr/lib64/libgpg-error.so.0.16.0
7ffff1b4d000-7ffff1b50000 r-xp 00000000 fd:01 3017694                    /usr/lib64/libdl-2.22.so
7ffff1b50000-7ffff1d4f000 ---p 00003000 fd:01 3017694                    /usr/lib64/libdl-2.22.so
7ffff1d4f000-7ffff1d50000 r--p 00002000 fd:01 3017694                    /usr/lib64/libdl-2.22.so
7ffff1d50000-7ffff1d51000 rw-p 00003000 fd:01 3017694                    /usr/lib64/libdl-2.22.so
7ffff1d51000-7ffff1e2c000 r-xp 00000000 fd:01 3021550                    /usr/lib64/libgcrypt.so.20.0.4
7ffff1e2c000-7ffff202c000 ---p 000db000 fd:01 3021550                    /usr/lib64/libgcrypt.so.20.0.4
7ffff202c000-7ffff202d000 r--p 000db000 fd:01 3021550                    /usr/lib64/libgcrypt.so.20.0.4
7ffff202d000-7ffff2035000 rw-p 000dc000 fd:01 3021550                    /usr/lib64/libgcrypt.so.20.0.4
7ffff2035000-7ffff2036000 rw-p 00000000 00:00 0 
7ffff2036000-7ffff21ed000 r-xp 00000000 fd:01 3016451                    /usr/lib64/libc-2.22.so
7ffff21ed000-7ffff23ed000 ---p 001b7000 fd:01 3016451                    /usr/lib64/libc-2.22.so
7ffff23ed000-7ffff23f1000 r--p 001b7000 fd:01 3016451                    /usr/lib64/libc-2.22.so
7ffff23f1000-7ffff23f3000 rw-p 001bb000 fd:01 3016451                    /usr/lib64/libc-2.22.so
7ffff23f3000-7ffff23f7000 rw-p 00000000 00:00 0 
7ffff23f7000-7ffff240f000 r-xp 00000000 fd:01 3019198                    /usr/lib64/libpthread-2.22.so
7ffff240f000-7ffff260e000 ---p 00018000 fd:01 3019198                    /usr/lib64/libpthread-2.22.so
7ffff260e000-7ffff260f000 r--p 00017000 fd:01 3019198                    /usr/lib64/libpthread-2.22.so
7ffff260f000-7ffff2610000 rw-p 00018000 fd:01 3019198                    /usr/lib64/libpthread-2.22.so
7ffff2610000-7ffff2614000 rw-p 00000000 00:00 0 
7ffff2614000-7ffff2629000 r-xp 00000000 fd:01 3040226                    /usr/lib64/libz.so.1.2.8
7ffff2629000-7ffff2828000 ---p 00015000 fd:01 3040226                    /usr/lib64/libz.so.1.2.8
7ffff2828000-7ffff2829000 r--p 00014000 fd:01 3040226                    /usr/lib64/libz.so.1.2.8
7ffff2829000-7ffff282a000 rw-p 00015000 fd:01 3040226                    /usr/lib64/libz.so.1.2.8
7ffff282a000-7ffff292b000 r-xp 00000000 fd:01 3018310                    /usr/lib64/libm-2.22.so
7ffff292b000-7ffff2b2a000 ---p 00101000 fd:01 3018310                    /usr/lib64/libm-2.22.so
7ffff2b2a000-7ffff2b2b000 r--p 00100000 fd:01 3018310                    /usr/lib64/libm-2.22.so
7ffff2b2b000-7ffff2b2c000 rw-p 00101000 fd:01 3018310                    /usr/lib64/libm-2.22.so
7ffff2b2c000-7ffff2b6c000 r-xp 00000000 fd:01 3021878                    /usr/lib64/libpcap.so.1.7.4
7ffff2b6c000-7ffff2d6c000 ---p 00040000 fd:01 3021878                    /usr/lib64/libpcap.so.1.7.4
7ffff2d6c000-7ffff2d6e000 r--p 00040000 fd:01 3021878                    /usr/lib64/libpcap.so.1.7.4
7ffff2d6e000-7ffff2d6f000 rw-p 00042000 fd:01 3021878                    /usr/lib64/libpcap.so.1.7.4
7ffff2d6f000-7ffff2ea6000 r-xp 00000000 fd:01 3041117                    /usr/lib64/libglib-2.0.so.0.4508.0
7ffff2ea6000-7ffff30a6000 ---p 00137000 fd:01 3041117                    /usr/lib64/libglib-2.0.so.0.4508.0
7ffff30a6000-7ffff30a7000 r--p 00137000 fd:01 3041117                    /usr/lib64/libglib-2.0.so.0.4508.0
7ffff30a7000-7ffff30a8000 rw-p 00138000 fd:01 3041117                    /usr/lib64/libglib-2.0.so.0.4508.0
7ffff30a8000-7ffff30c5000 r-xp 00000000 fd:01 3031780                    /usr/lib64/libwsutil.so.4.1.0
7ffff30c5000-7ffff32c4000 ---p 0001d000 fd:01 3031780                    /usr/lib64/libwsutil.so.4.1.0
7ffff32c4000-7ffff32c5000 r--p 0001c000 fd:01 3031780                    /usr/lib64/libwsutil.so.4.1.0
7ffff32c5000-7ffff32c6000 rw-p 0001d000 fd:01 3031780                    /usr/lib64/libwsutil.so.4.1.0
7ffff32c6000-7ffff32c7000 rw-p 00000000 00:00 0 
7ffff32c7000-7ffff621a000 r-xp 00000000 fd:01 3022908                    /usr/lib64/libwireshark.so.5.0.7
7ffff621a000-7ffff641a000 ---p 02f53000 fd:01 3022908                    /usr/lib64/libwireshark.so.5.0.7
7ffff641a000-7ffff6afa000 r--p 02f53000 fd:01 3022908                    /usr/lib64/libwireshark.so.5.0.7
7ffff6afa000-7ffff762f000 rw-p 03633000 fd:01 3022908                    /usr/lib64/libwireshark.so.5.0.7
7ffff762f000-7ffff7afd000 rw-p 00000000 00:00 0 
7ffff7afd000-7ffff7b58000 r-xp 00000000 fd:01 3027746                    /usr/lib64/libwiretap.so.4.0.7
7ffff7b58000-7ffff7d57000 ---p 0005b000 fd:01 3027746                    /usr/lib64/libwiretap.so.4.0.7
7ffff7d57000-7ffff7d5a000 r--p 0005a000 fd:01 3027746                    /usr/lib64/libwiretap.so.4.0.7
7ffff7d5a000-7ffff7d5c000 rw-p 0005d000 fd:01 3027746                    /usr/lib64/libwiretap.so.4.0.7
7ffff7d5c000-7ffff7ddc000 rw-p 00000000 00:00 0 
7ffff7ddc000-7ffff7dfd000 r-xp 00000000 fd:01 3015672                    /usr/lib64/ld-2.22.so
7ffff7ef0000-7ffff7f93000 rw-p 00000000 00:00 0 
7ffff7fb4000-7ffff7fc6000 rw-p 00000000 00:00 0 
7ffff7fee000-7ffff7ff0000 rw-p 00000000 00:00 0 
7ffff7ff0000-7ffff7ff7000 r--s 00000000 fd:01 10388                      /usr/lib64/gconv/gconv-modules.cache
7ffff7ff7000-7ffff7ff8000 rw-p 00000000 00:00 0 
7ffff7ff8000-7ffff7ffa000 r--p 00000000 00:00 0                          [vvar]
7ffff7ffa000-7ffff7ffc000 r-xp 00000000 00:00 0                          [vdso]
7ffff7ffc000-7ffff7ffd000 r--p 00020000 fd:01 3015672                    /usr/lib64/ld-2.22.so
7ffff7ffd000-7ffff7ffe000 rw-p 00021000 fd:01 3015672                    /usr/lib64/ld-2.22.so
7ffff7ffe000-7ffff7fff000 rw-p 00000000 00:00 0 
7ffffffde000-7ffffffff000 rw-p 00000000 00:00 0                          [stack]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Program received signal SIGABRT, Aborted.
0x00007ffff206aa98 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
55	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt full
#0  0x00007ffff206aa98 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
        resultvar = 0
        pid = 32265
        selftid = 32265
#1  0x00007ffff206c69a in __GI_abort () at abort.c:89
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x2020202020202020, sa_sigaction = 0x2020202020202020}, sa_mask = {__val = {2314885530818453536, 7239073644580708384, 
              7378697426076266355, 3472328516180522854, 7365468305578407725, 3274715270390768742, 3472891246180069421, 3475200452259229744, 3978425806206738481, 
              2314885530818453554, 2314885530818453536, 8319607701661294624, 3401403414874959730, 3328778248571937900, 7378697628689264499, 3256155514989864503}}, 
          sa_flags = 1717986871, sa_restorer = 0x51}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007ffff20ade1a in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7ffff21c0a00 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
        ap = {{gp_offset = 40, fp_offset = 2689093462, overflow_arg_area = 0x7fffffffd290, reg_save_area = 0x7fffffffd220}}
        fd = 5
        on_2 = <optimized out>
        list = <optimized out>
        nlist = <optimized out>
        cp = <optimized out>
        written = <optimized out>
#3  0x00007ffff20b641a in malloc_printerr (ar_ptr=<optimized out>, ptr=<optimized out>, str=0x7ffff21be33d "free(): invalid pointer", action=3) at malloc.c:5000
        buf = "00007fffe3d2a0e8"
        cp = <optimized out>
        ar_ptr = <optimized out>
        str = 0x7ffff21be33d "free(): invalid pointer"
        action = 3
#4  _int_free (av=<optimized out>, p=<optimized out>, have_lock=<optimized out>) at malloc.c:3861
        size = <optimized out>
        fb = <optimized out>
        nextchunk = <optimized out>
        nextsize = <optimized out>
        nextinuse = <optimized out>
        prevsize = <optimized out>
        bck = <optimized out>
        fwd = <optimized out>
        errstr = <optimized out>
        locked = <optimized out>
#5  0x00007ffff20b9bcc in __GI___libc_free (mem=<optimized out>) at malloc.c:2962
        ar_ptr = <optimized out>
        p = <optimized out>
        hook = <optimized out>
#6  0x00007ffff2dbe6be in g_free (mem=mem@entry=0x7fffe3d2a0e8) at gmem.c:189
No locals.
---Type <return> to continue, or q <return> to quit---
#7  0x00007ffff4f1eb7d in ssl_parse_old_keys () at packet-ssl.c:413
        path = 0x7fffe3d2a0e8 "ipsilon-wiki.key"
        old_keys = 0x7fffe3d2a048
        err = 0x0
        uat_entry = 0x7fffe3d2a168 "\"XX.XX.XX.XX\",\"443\",\"http\",\"ipsilon-wiki.key\",\"\""
        i = 0
        parts = <optimized out>
#8  proto_reg_handoff_ssl () at packet-ssl.c:4878
No locals.
#9  0x00007ffff47ea4e2 in call_apply_cb (value=0x555555efd840, data=<optimized out>) at prefs.c:684
        data = <optimized out>
        value = 0x555555efd840
        module = 0x555555efd840
#10 0x00007ffff5482a1b in wmem_tree_foreach_nodes (node=0x555555efd900, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:643
        stop_traverse = 0
#11 0x00007ffff54829a3 in wmem_tree_foreach (tree=<optimized out>, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0) at wmem_tree.c:666
No locals.
#12 0x00007ffff5482a6f in wmem_tree_foreach_nodes (node=0x555555efd8c0, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:640
        stop_traverse = 0
#13 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555efc370, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
#14 0x00007ffff5482a08 in wmem_tree_foreach_nodes (node=0x555555aafc80, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:634
        stop_traverse = 0
#15 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555efb960, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
#16 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555ef7730, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
#17 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555eee1c0, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
#18 0x00007ffff5482a08 in wmem_tree_foreach_nodes (node=0x555555ab1990, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:634
        stop_traverse = 0
#19 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555edb040, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
---Type <return> to continue, or q <return> to quit---
#20 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555e893f0, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
#21 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555fc7150, callback=callback@entry=0x7ffff47ea4b0 <call_apply_cb>, user_data=user_data@entry=0x0)
    at wmem_tree.c:651
        stop_traverse = <optimized out>
#22 0x00007ffff5482a33 in wmem_tree_foreach_nodes (node=0x555555b7fbf0, callback=0x7ffff47ea4b0 <call_apply_cb>, user_data=0x0) at wmem_tree.c:651
        stop_traverse = <optimized out>
#23 0x0000555555560b7e in main (argc=13, argv=<optimized out>) at tshark.c:1955
        comp_info_str = 0x5555557bca00
        runtime_info_str = 0x5555557bca20
        init_progfile_dir_error = <optimized out>
        opt = <optimized out>
        long_options = {{name = 0x555555580bfb "capture-comment", has_arg = 1, flag = 0x0, val = 2}, {name = 0x0, has_arg = 0, flag = 0x0, val = 0}}
        gpf_path = 0x0
        pf_path = 0x0
        gdp_path = 0x0
        dp_path = 0x0
        gpf_open_errno = 0
        gpf_read_errno = 0
        pf_open_errno = 0
        pf_read_errno = 0
        gdp_open_errno = 0
        gdp_read_errno = 0
        dp_open_errno = 0
        dp_read_errno = 0
        err = 0
        exit_status = 0
        list_link_layer_types = 0
        start_capture = 0
        status = <optimized out>
        if_list = <optimized out>
        err_str = 0x0
        quiet = 0
        out_file_type = 2
        out_file_name_res = 0
        in_file_type = 0
        cf_name = 0x555555efddb0 "m.tcp"
        rfilter = 0x0
        dfilter = 0x7fffffffe25b "tcp.port == 443"
        fcode = {bf_len = 0, bf_insns = 0x0}
        rfcode = 0x0
---Type <return> to continue, or q <return> to quit---q
Quit
(gdb)
Comment 2 Fedora End Of Life 2016-11-24 07:34:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 09:43:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.